Name:          cssparser
Version:       0.9.5
Release:       %mkrel 1
Summary:       CSS Parser
Group:         Development/Java
License:       LGPL
Url:           http://cssparser.sourceforge.net/
# svn co https://cssparser.svn.sourceforge.net/svnroot/cssparser/tags/CSSPARSER_0_9_5/cssparser cssparser-0.9.5
# tar czf cssparser-0.9.5-src-svn.tar.gz cssparser-0.9.5
Source0:       cssparser-0.9.5-src-svn.tar.gz
Patch0:        cssparser-0.9.5-javacc.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: junit4
BuildRequires: sac

BuildRequires: javacc-maven-plugin

BuildRequires: maven
BuildRequires: maven-changes-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      sac

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
A CSS parser which implements SAC (the Simple API for CSS).

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
%patch0 -p0

for j in $(find . -name "*.jar" -o -name ".svn"); do
  rm -rf $j
done

%build
mvn-rpmbuild install javadoc:aggregate
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}

install -m 644 target/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/cssparser.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc doc/*

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Sun Aug 14 2011 dmorgan <dmorgan> 0.9.5-1.mga2
+ Revision: 133042
- Fix buildrequires
- Clean spec file

  + gil <gil>
    - imported package cssparser

